Tested on version 5.8?

Permalink Browser Info Environment
Fundamental is a great theme and is one of my preferred themes for version 5.7.

Has this theme been tested on the upcoming version 5.8, and if so are there any incompatibilities?

If any changes are required to work on version 5.8, what is your plan for updating the theme?


Type: Discussion
Status: Resolved
View Replies:
c5hub replied on at Permalink Reply
Hi thanks for your great feedback on the theme

Re 5.8 we're waiting. We'll wait for a release candidate and then evaluate. We may even wait for the first release to be honest.

Based on experience this best places us to understand any package/theme specific issues and hopefully fix them quickly. If we evaluate earlier, it is sometimes difficult to understand what is an issue with the theme package and what is an unresolved bug in the core.
tommyh replied on at Permalink Reply
Looks like 8 is out! :) Anyone attempted to install our favorite theme "Fundamental" yet? Any luck? Run into any issues with it?
c5hub replied on at Permalink Reply
Ok, now 5.8 is out it seems there may be some issues with how we've implemented multiple starting point options.

We'll be looking at this first thing next week and hopeful we'll have this resolved shortly after.
c5hub replied on at Permalink Reply
Changes in 8.0 have made our starting point approach unworkable and it's not clear there's another way currently. An approach to access this functionality again will hopefully make an early point release.

There's now an open issue in the concrete5 Github repo re this - open by Andrew Embler not us, so the core team are now aware.


It's worth stressing that since the routine impacts starting point selection at installation, we do not expect any issues with upgrading, but as always, take a backup of your files and database before performing an upgrade.

Other functionality in the theme appears ok based on the testing we've done so far.

We'll likely disable starting point selection in the package, until a way forward is found. This should only impact new users of the theme, and hopefully not for very long.

That's all the info we can give you for the moment.
c5hub replied on at Permalink Reply
An update for everyone following this thread. Version 4.0.0 of Fundamental is compatible with concrete5 v8.0.1 upwards, and includes the multiple starting point functionality. If you still have 8.0.0 please upgrade to 8.0.1.

Thanks for your patience everyone!

concrete5 Environment Information

Windows, Chrome

Browser User-Agent String

Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.99 Safari/537.36

Hide Post Content

This will replace the post content with the message: "Content has been removed by an Administrator"

Hide Content

Request Refund

You may not request a refund that is not currently owned by you.